Create app draft in Banqup Store
Endpoint: /servicemngmt/v2/applications
Requires a JSON request body. The app name and namespace should be received from the customer. The
ownerEntityIdis the legal entity Id. If the customer doesn't want to register the app in Banqup, they can only provide that app Id from their Developer Portal account.
curl -L -X POST 'https://{{serverURL}}/servicemngmt/v2/applications' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-d '{
"namespace": "com.unifiedpost.btx",
"name": "My-app",
"ownerEntityId": "f47c5440-89cb-11ee-b9d1-0242ac120002",
"functionalType": "APPLICATION",
"audienceType": "PUBLIC"
}
Successful response:
{
"id": "2aa7c756-6d55-44b6-9b60-06212611cfd6",
"name": "My-app",
"namespace": "com.unifiedpost.btx",
"status": "DRAFT",
"functionalType": "APPLICATION",
"audienceType": "PUBLIC"
}
NOTE: The generated
Idneeds to be shared to the customer.